// PropsDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DialogEditor.h"
#include "PropsDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//---------------------------------------------------------------------------------------
CPropsDialog::CPropsDialog(CWnd* pParent /*=NULL*/)
: CDialog(CPropsDialog::IDD, pParent)
{
   //{{AFX_DATA_INIT(CPropsDialog)
   //}}AFX_DATA_INIT
}


//---------------------------------------------------------------------------------------
void CPropsDialog::DoDataExchange(CDataExchange* pDX)
{
   CDialog::DoDataExchange(pDX);
   //{{AFX_DATA_MAP(CPropsDialog)
	DDX_Control(pDX, IDC_PLACEHOLDER, m_PageStatic);
	//}}AFX_DATA_MAP
}


//---------------------------------------------------------------------------------------
BEGIN_MESSAGE_MAP( CPropsDialog, CDialog )
   //{{AFX_MSG_MAP(CPropsDialog)
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()


//---------------------------------------------------------------------------------------
BOOL CPropsDialog::OnInitDialog() 
{
   CDialog::OnInitDialog();

   RECT Rect;
   m_PageStatic.GetWindowRect( &Rect );
   ScreenToClient( &Rect );
   MyProps.Create( NULL, "MyPropsWindow", 
                   WS_CHILD | WS_VISIBLE, Rect, this, 0x9999, NULL );
   MyProps.SetWindowPos( NULL, Rect.left, Rect.top, 0, 0, SWP_NOSIZE );
   
   resizer.Init( this, 0, 0, -1, -1 );
   resizer.AddItem( IDOK, GR_NOMAXMIN, true, false, false, true );
   resizer.AddItem( IDCANCEL, GR_NOMAXMIN, false, false, true, true );
   resizer.AddItem( IDC_PLACEHOLDER, GR_NOMAXMIN, true, true, true, true );
   resizer.AddItem( MyProps.GetDlgCtrlID(), GR_NOMAXMIN, true, true, true, true );

   return TRUE;
}


//---------------------------------------------------------------------------------------
LRESULT CPropsDialog::WindowProc( UINT message, WPARAM wParam, LPARAM lParam )
{
   if( message == WM_SIZE )
   {
      resizer.OnSize();
   }
   if( message == WM_GETMINMAXINFO )
      resizer.OnGetMinMaxInfo( lParam );

   return CDialog ::WindowProc( message, wParam, lParam );
}
